"""
General Relativity module takes all differential geometric objects and operations from the differential geometry module,
and extends them to the realm of General Relativity, by making use of the connection to the Energy Momentum Tensor.

The main features of this module are:
- The definition of the Einstein tensor, which is the tensor that describes the curvature of spacetime.
- The definition of the Energy Momentum Tensor, which describes the distribution of energy and momentum in spacetime.
- The definition of the Einstein Field Equations, which are the equations that relate the Einstein tensor to the Energy Momentum Tensor.
- The definition of the Schwarzschild metric, which describes the spacetime around a non-rotating black hole.
- The definition of the Kerr metric, which describes the spacetime around a rotating black hole.
- The definition of the Friedmann-Robertson-Walker metric, which describes the homogeneous and isotropic universe.

"""